Debian Bug report logs - #642934
ITP: aircrack-ng -- wireless WEP/WPA cracking utilities

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sun, 25 Sep 2011 19:03:42 UTC

Owned by: Carlos Alberto Lopez Perez <clopez@igalia.com>

Severity: wishlist

Fixed in version aircrack-ng/1:1.1-2

Done: Carlos Alberto Lopez Perez <clopez@igalia.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Sun, 25 Sep 2011 19:03:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 25 Sep 2011 19:03:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: aircrack-ng -- RoQA; unmaintained, RC-buggy, NPOS
Date: Sun, 25 Sep 2011 20:59:59 +0200
Package: ftp.debian.org
Severity: normal

Please remove aircrack-ng. It has unresolved license problems, is
not part of stable and genereally unmaintained. Better alternatives
exist.

Cheers,
        Moritz




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 26 Sep 2011 10:31:27 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Mon, 26 Sep 2011 10:31:31 GMT) Full text and rfc822 format available.

Message #10 received at 642934-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 642934-close@bugs.debian.org
Cc: aircrack-ng@packages.debian.org, aircrack-ng@packages.qa.debian.org
Subject: Bug#642934: Removed package(s) from unstable
Date: Mon, 26 Sep 2011 10:25:29 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

aircrack-ng |  1:1.1-1.1 | source
aircrack-ng | 1:1.1-1.1+b1 | amd64, armel, i386, ia64, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
RoQA; unmaintained, RC-buggy, NPOS
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642934@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/642934

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Tue, 04 Oct 2011 04:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Celejar <celejar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 04 Oct 2011 04:03:07 GMT) Full text and rfc822 format available.

Message #15 received at 642934@bugs.debian.org (full text, mbox):

From: Celejar <celejar@gmail.com>
To: 642934@bugs.debian.org
Subject: Alternatives to aircrack
Date: Tue, 4 Oct 2011 00:00:56 -0400
> Better alternatives exist.

They do? Such as? [Not disagreeing, just surprised to hear this, and I
have been unable to find anything remotely comparable by STW.]

Celejar
-- 
foffl.sourceforge.net - Feeds OFFLine, an offline RSS/Atom aggregator
mailmin.sourceforge.net - remote access via secure (OpenPGP) email
ssuds.sourceforge.net - A Simple Sudoku Solver and Generator





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Mon, 24 Oct 2011 03:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 24 Oct 2011 03:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 642934@bugs.debian.org
Subject: re: Alternatives to aircrack
Date: Mon, 24 Oct 2011 05:39:34 +0200
[Message part 1 (text/plain, inline)]
>> Better alternatives exist.
>
>They do? Such as? [Not disagreeing, just surprised to hear this, and I
>have been unable to find anything remotely comparable by STW.]

There isn't any good alternative to aircrack-ng for wireless security
auditing.

So please don't remove this package from Debian.


I was very surprised today when I tried to install aircrack-ng on a
Debian box and apt was unable to find it.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Tue, 25 Oct 2011 11:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 25 Oct 2011 11:27:15 GMT) Full text and rfc822 format available.

Message #25 received at 642934@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <alexander@schmehl.info>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 642934@bugs.debian.org
Subject: Re: Bug#642934: Alternatives to aircrack
Date: Tue, 25 Oct 2011 13:23:41 +0200
Hi!

Am 24.10.2011 05:39, schrieb Carlos Alberto Lopez Perez:
>>> Better alternatives exist.
>> They do? Such as? [Not disagreeing, just surprised to hear this, and I
>> have been unable to find anything remotely comparable by STW.]
> There isn't any good alternative to aircrack-ng for wireless security
> auditing.
> 
> So please don't remove this package from Debian.
> 
> I was very surprised today when I tried to install aircrack-ng on a
> Debian box and apt was unable to find it.

Well, as you noticed:  The package has already been removed (about a
month ago, after it has been removed from testing nearly a year ago), so
there's not much we (as the ftp-team) can do now.

Please also note, that even if there are no alternatives to the package
the original bug report also stated: "It has unresolved license
problems, is not part of stable and genereally unmaintained."

If you care about aircrack-ng feel free to take over maintenance of the
package and solve the issues the package had, and it can be added to
Debian again.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Fri, 28 Oct 2011 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 28 Oct 2011 07:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Celejar <celejar@gmail.com>, Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934@bugs.debian.org
Subject: 642934: aircrack-ng removal
Date: Fri, 28 Oct 2011 15:20:29 +0800
[Message part 1 (text/plain, inline)]
Hi all,

If any of you are willing to take over the aircrack-ng package and fix
the licensing issue, I would be happy to provide sponsorship for it,
especially if you are willing to join the Debian wireless team.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Fri, 28 Oct 2011 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 28 Oct 2011 07:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 642934@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Paul Wise <pabs@debian.org>, 642934@bugs.debian.org, 588588@bugs.debian.org
Cc: Celejar <celejar@gmail.com>, Carlos Alberto Lopez Perez <clopez@igalia.com>
Subject: Re: Bug#642934: 642934: aircrack-ng removal
Date: Fri, 28 Oct 2011 09:54:17 +0200
tag 588588 +fixed-upstream
thanks

Hi!


* Paul Wise <pabs@debian.org> [111028 09:20]:

> If any of you are willing to take over the aircrack-ng package and fix
> the licensing issue, I would be happy to provide sponsorship for it,
> especially if you are willing to join the Debian wireless team.

Looking at it, it seems that at least the licensing issue has been dealt
with.

The correspronding ticket in upstreams tracking system got closed (see
http://trac.aircrack-ng.org/ticket/764), so it just needs someone to
package the thing again and take care of it.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Wed, 09 Nov 2011 15:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 09 Nov 2011 15:27:13 GMT) Full text and rfc822 format available.

Message #40 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Subject: sponsorship for aircrack-ng
Date: Wed, 09 Nov 2011 23:25:48 +0800
[Message part 1 (text/plain, inline)]
On 28/10/11 09:20, Paul Wise wrote:
> Hi all,
> 
> If any of you are willing to take over the aircrack-ng package and fix
> the licensing issue, I would be happy to provide sponsorship for it,
> especially if you are willing to join the Debian wireless team.
> 

Hello Paul,

I wish to take care of the aircrack-ng package if it is still possible.

I would also like to seize this opportunity to become Debian Maintainer,
a thing that has been in my TODO list for a long time. Also I would be
happy of joining the Debian wireless team.

I will be happy and thankful if you can guide me through this process.

What would be the first step? Create a new package for aircrack-ng
fixing the licensing issue?


Thanks!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Wed, 09 Nov 2011 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 09 Nov 2011 15:51:05 GMT) Full text and rfc822 format available.

Message #45 received at 642934@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, 642934@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>
Subject: Re: Bug#642934: sponsorship for aircrack-ng
Date: Wed, 09 Nov 2011 16:47:52 +0100
Hi!

Am 09.11.2011 16:25, schrieb Carlos Alberto Lopez Perez:
[..]
> I wish to take care of the aircrack-ng package if it is still possible.
[..]
> What would be the first step? Create a new package for aircrack-ng
> fixing the licensing issue?

Please see http://bugs.debian.org/588588#131.  The licensing issue seems
to have been fixed, so the bug could be close either by packaging a new
upstream version containing that fix or by using the patch on the old
Debian package, which you could find on snapshot.debian.org.


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Wed, 09 Nov 2011 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 09 Nov 2011 16:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Thu, 10 Nov 2011 00:05:26 +0800
[Message part 1 (text/plain, inline)]
On Wed, 2011-11-09 at 13:27 +0100, Carlos Alberto Lopez Perez wrote:

> I wish to take care of the aircrack-ng package if it is still possible.

Excellent!

> I would also like to seize this opportunity to become Debian Maintainer,
> a thing that has been in my TODO list for a long time.

Also good :)

> Also I would be happy of joining the Debian wireless team.

Please register an account on alioth if you do not have one and then
click on the request to join link here:

http://alioth.debian.org/projects/pkg-wpa

Mention that you plan to maintain aircrack-ng within the team in your
request and that I will sponsor you whenever needed. You may want to
help them maintain wpasupplicant and other WiFi related packages. They
use SVN and presumably svn-buildpackage so you might want to take a look
at how they do that.

> I will be happy and thankful if you can guide me through this process.

I would be happy to.

> What would be the first step?

Signal your intention to package aircrack-ng. In Debian we do this by
filing bugs against the wnpp pseudo-package. wnpp is explained here:

http://www.debian.org/devel/wnpp/

The bugs filed against wnpp can be seen here:

http://bugs.debian.org/wnpp
http://wnpp.debian.net/

I would suggest you should reassign the removal bug (#642934) to the
wnpp pseudo-package, retitle it to an ITP bug and change the severity to
wishlist. You can find instructions for bug manipulation here:

http://www.debian.org/Bugs/server-control

You can CC the mail changing the bug into an ITP to debian-devel so that
more folks are likely to notice and not duplicate your work. Probably
the mail should explain why you are reintroducing aircrack-ng.

> Create a new package for aircrack-ng fixing the licensing issue?

Take the last version of aircrack-ng that was available in Debian and
update it to an upstream VCS snapshot that fixes the licensing issue (or
just the latest one), closing the ITP bug with something like "Re-upload
to unstable (Closes: #642934)" in the debian/changelog. A second line
should say that the update fixes the licensing issue and close that bug
too.

The last version available in Debian is available from snapshot.d.o:

http://snapshot.debian.org/package/aircrack-ng/1%3A1.1-1.1/

If you are unfamiliar with Debian packaging you will want to read this:

http://www.debian.org/doc/manuals/maint-guide/

Some more links you may want to read:

http://ftp-master.debian.org/REJECT-FAQ.html
http://www.debian.org/doc/manuals/developers-reference/
http://www.debian.org/doc/debian-policy/

Re-open any bugs marked as fixed in a version that ends in +rm, if you
have JavaScript turned on, click "Toggle all extra information" at the
bottom of this page, then search the page for +rm and then reopen all
those bugs and removed the +rm fixed versions using the notfixed
command. This is unfortunately necessary because ftp-master close all
the bugs when they remove a package. It would be better if debbugs knew
a package was removed and acted appropriately, but debbugs maintenance
is not as active as it used to be. Then put closes entries in
debian/changelog for any bugs that are closed by the new upstream
snapshot.

http://bugs.debian.org/cgi-bin/pkgreport.cgi?archive=both;src=aircrack-ng

If you have any questions, feel free to ask me directly or (preferably)
on the #debian-mentors IRC channel or debian-mentors mailing list. I
will reply as I am able and if others reply first then that works too.

Once you have a package ready you can send an RFS to the debian-mentors
list and I will take a look at it.

The PTS page for aircrack-ng is here, you should keep an eye on it while
you are the maintainer and look at the links there:

http://packages.qa.debian.org/a/aircrack-ng.html

Please also contact upstream to tell them you are the new maintainer and
ask them about making a new release.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642934; Package ftp.debian.org. (Thu, 10 Nov 2011 03:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 10 Nov 2011 03:03:07 GMT) Full text and rfc822 format available.

Message #55 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 642934@bugs.debian.org
Cc: control@bugs.debian.org, debian-devel@lists.debian.org
Subject: ITP: aircrack-ng -- wireless WEP/WPA cracking utilities
Date: Thu, 10 Nov 2011 03:52:43 +0100
[Message part 1 (text/plain, inline)]
reassign 642934 wnpp
retitle 642934 ITP: aircrack-ng -- wireless WEP/WPA cracking utilities
severity 642934 wishlist
owner 642934 !

* Package name    : aircrack-ng
  Version         : 1.1
  Upstream Author : Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
* URL             : http://www.aircrack-ng.org
* License         : GPL
  Programming Lang: C, Python, Bash script
  Description     : wireless WEP/WPA cracking utilities

aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
have been gathered. Also it can attack WPA1/2 networks with some advanced
methods or simply by brute force.

It implements the standard FMS attack along with some optimizations,
thus making the attack much faster compared to other WEP cracking tools.
It can also fully use a multiprocessor system to its full power in order
to speed up the cracking process.

aircrack-ng is a fork of aircrack, as that project has been stopped by
the upstream maintainer.


----------------------------------------------------

aircrack-ng has been removed from Debian because it was unmaintained and had
unresolved license problems that now are fixed upstream.

My intention is to reintroduce aircrack-ng in Debian by packaging a new
version which fixes the license problems (#588588)

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'ftp.debian.org' to 'wnpp'. Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 03:03:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: aircrack-ng -- wireless WEP/WPA cracking utilities' from 'RM: aircrack-ng -- RoQA; unmaintained, RC-buggy, NPOS' Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 03:03:09 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 03:03:10 GMT) Full text and rfc822 format available.

Owner recorded as Carlos Alberto Lopez Perez <clopez@igalia.com>. Request was from Carlos Alberto Lopez Perez <clopez@igalia.com> to control@bugs.debian.org. (Thu, 10 Nov 2011 03:03:10 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Nov 2011 03:24:03 GMT) Full text and rfc822 format available.

Added indication that bug 642934 blocks 626489 Request was from intrigeri <intrigeri+debian@boum.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 15:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Fri, 25 Nov 2011 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 25 Nov 2011 20:51:05 GMT) Full text and rfc822 format available.

Message #72 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Fri, 25 Nov 2011 21:47:24 +0100
[Message part 1 (text/plain, inline)]
On 09/11/11 17:05, Paul Wise wrote:
> On Wed, 2011-11-09 at 13:27 +0100, Carlos Alberto Lopez Perez wrote:
> 
>> I wish to take care of the aircrack-ng package if it is still possible.
> 
> Excellent!
> 
>> I would also like to seize this opportunity to become Debian Maintainer,
>> a thing that has been in my TODO list for a long time.
> 
> Also good :)
> 
>> Also I would be happy of joining the Debian wireless team.
> 
> Please register an account on alioth if you do not have one and then
> click on the request to join link here:
> 
> http://alioth.debian.org/projects/pkg-wpa
> 
> Mention that you plan to maintain aircrack-ng within the team in your
> request and that I will sponsor you whenever needed. You may want to
> help them maintain wpasupplicant and other WiFi related packages. They
> use SVN and presumably svn-buildpackage so you might want to take a look
> at how they do that.
> 
>> I will be happy and thankful if you can guide me through this process.
> 
> I would be happy to.
> 
>> What would be the first step?
> 
> Signal your intention to package aircrack-ng. In Debian we do this by
> filing bugs against the wnpp pseudo-package. wnpp is explained here:
> 
> http://www.debian.org/devel/wnpp/
> 
> The bugs filed against wnpp can be seen here:
> 
> http://bugs.debian.org/wnpp
> http://wnpp.debian.net/
> 
> I would suggest you should reassign the removal bug (#642934) to the
> wnpp pseudo-package, retitle it to an ITP bug and change the severity to
> wishlist. You can find instructions for bug manipulation here:
> 
> http://www.debian.org/Bugs/server-control
> 
> You can CC the mail changing the bug into an ITP to debian-devel so that
> more folks are likely to notice and not duplicate your work. Probably
> the mail should explain why you are reintroducing aircrack-ng.
> 
>> Create a new package for aircrack-ng fixing the licensing issue?
> 
> Take the last version of aircrack-ng that was available in Debian and
> update it to an upstream VCS snapshot that fixes the licensing issue (or
> just the latest one), closing the ITP bug with something like "Re-upload
> to unstable (Closes: #642934)" in the debian/changelog. A second line
> should say that the update fixes the licensing issue and close that bug
> too.
> 
> The last version available in Debian is available from snapshot.d.o:
> 
> http://snapshot.debian.org/package/aircrack-ng/1%3A1.1-1.1/
> 
> If you are unfamiliar with Debian packaging you will want to read this:
> 
> http://www.debian.org/doc/manuals/maint-guide/
> 
> Some more links you may want to read:
> 
> http://ftp-master.debian.org/REJECT-FAQ.html
> http://www.debian.org/doc/manuals/developers-reference/
> http://www.debian.org/doc/debian-policy/
> 
> Re-open any bugs marked as fixed in a version that ends in +rm, if you
> have JavaScript turned on, click "Toggle all extra information" at the
> bottom of this page, then search the page for +rm and then reopen all
> those bugs and removed the +rm fixed versions using the notfixed
> command. This is unfortunately necessary because ftp-master close all
> the bugs when they remove a package. It would be better if debbugs knew
> a package was removed and acted appropriately, but debbugs maintenance
> is not as active as it used to be. Then put closes entries in
> debian/changelog for any bugs that are closed by the new upstream
> snapshot.
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?archive=both;src=aircrack-ng
> 
> If you have any questions, feel free to ask me directly or (preferably)
> on the #debian-mentors IRC channel or debian-mentors mailing list. I
> will reply as I am able and if others reply first then that works too.
> 
> Once you have a package ready you can send an RFS to the debian-mentors
> list and I will take a look at it.
> 
> The PTS page for aircrack-ng is here, you should keep an eye on it while
> you are the maintainer and look at the links there:
> 
> http://packages.qa.debian.org/a/aircrack-ng.html
> 
> Please also contact upstream to tell them you are the new maintainer and
> ask them about making a new release.
> 

Hello,

I have just packaged and updated a new version of aircrack-ng based on
the previous one from Adam Cécile.

I uploaded it to mentors.debian.net

http://mentors.debian.net/package/aircrack-ng

Once it enters into debian again I would re-open the bugs that were
automatically closed when the package was removed

Wishing to hear any comments.

Regards!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sat, 26 Nov 2011 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Nov 2011 02:06:03 GMT) Full text and rfc822 format available.

Message #77 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sat, 26 Nov 2011 03:02:13 +0100
[Message part 1 (text/plain, inline)]
On 25/11/11 21:47, Carlos Alberto Lopez Perez wrote:
> Hello,
> 
> I have just packaged and updated a new version of aircrack-ng based on
> the previous one from Adam Cécile.
> 
> I uploaded it to mentors.debian.net
> 
> http://mentors.debian.net/package/aircrack-ng
> 
> Once it enters into debian again I would re-open the bugs that were
> automatically closed when the package was removed
> 
> Wishing to hear any comments.
> 
> Regards!
> 

Just a quick note to let you know that the package is signed with mi recently created 4096RSA key that you can import with:

gpg --keyserver pgp.mit.edu --recv-keys 965089CE6B95F882

Or with:

curl key.neutrino.es | gpg --import

Then you can download the package with:

dget -x http://mentors.debian.net/debian/pool/main/a/aircrack-ng/aircrack-ng_1.1-2.dsc

But, as I just discovered now, dscverify will give error unless you configure it to trust your local gpg keyring by setting:

DSCVERIFY_KEYRINGS=~/.gnupg/pubring.gpg on the file ~/.devscripts


Regards!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Sat, 26 Nov 2011 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Sat, 26 Nov 2011 03:48:03 GMT) Full text and rfc822 format available.

Message #82 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sat, 26 Nov 2011 11:45:17 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2011-11-26 at 03:02 +0100, Carlos Alberto Lopez Perez wrote:

> dget -x http://mentors.debian.net/debian/pool/main/a/aircrack-ng/aircrack-ng_1.1-2.dsc

Blockers for the upload:

The OpenSSL and GPL licenses are incompatible. A number of files do not
have the OpenSSL exception to the GPL. This means that we cannot
distribute any executables that link against OpenSSL and are also built
from those files. You will need to check which executables link against
OpenSSL, then check the license for all the associated source files
looking for ones licensed under the GPL without the exception. Once you
have done these checks, please document the results in debian/copyright.
If there are any binaries that have an issue, please delete those from
the package and ask upstream to fix the licenses.


Non-blockers that would be nice to have fixed:

You might want to adopt the machine-readable format for debian/copyright

http://dep.debian.net/deps/dep5/

Please remove me from Uploaders, I only plan to sponsor you, not
co-maintain the package.

Please update to debhelper compat level 7 or higher.

You may also want switch from a completely manual debian/rules to dh.

debian/more-examples/README can be dropped from the source package since
that is covered by the upstream README.

debian/README.source can be dropped since you are using dpkg-source v3.

There are quite a few complaints from lintian (see bottom of the mail).

Please add DEP-3 headers to all of the patches:

http://dep.debian.net/deps/dep3/

I note that airdrop-ng and airgraph-ng are not installed in the package.

Please forward the patches upstream that haven't been forwarded yet.

There are lots of compiler warnings, please notify upstream about those.

Please ask upstream what the status of the next release is.

As a longer-term project, please consider figuring out which of the
injection patches are merged upstream, ask upstream to move those into
old/, drop those from the Debian package and talk to upstream about
merging the remainder into Linux mainline.

lintian:
I: aircrack-ng source: quilt-patch-missing-description 002-Fix_airodump-ng_manpage.diff
I: aircrack-ng source: quilt-patch-missing-description 004-fix-license-sha1-sse2.diff
W: aircrack-ng source: debian-rules-missing-recommended-target build-arch
W: aircrack-ng source: debian-rules-missing-recommended-target build-indep
P: aircrack-ng: copyright-refers-to-symlink-license usr/share/common-licenses/GPL
X: aircrack-ng: duplicate-files usr/share/doc/aircrack-ng/injection-patches/ieee80211_inject.patch usr/share/doc/aircrack-ng/injection-patches/old/ieee80211_inject.patch
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:40
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:46
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:47
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:50
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:53
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:55
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:60
I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airbase-ng.1.gz surpresses suppresses
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:78
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:81
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:85
I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airbase-ng.1.gz replys replies
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz 7 more occurrences not shown
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/aircrack-ng.1.gz:116
I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/aireplay-ng.1.gz allows to allows one to
I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airodump-ng.1.gz Allows to Allows one to
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:45
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:58
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:151
I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/buddy-ng.1.gz runned ran
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:7
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:9
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:15
I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:17
W: aircrack-ng: binary-without-manpage usr/sbin/airodump-ng-oui-update

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sat, 26 Nov 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Nov 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #87 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sat, 26 Nov 2011 21:03:24 +0100
[Message part 1 (text/plain, inline)]
On 26/11/11 04:45, Paul Wise wrote:
> On Sat, 2011-11-26 at 03:02 +0100, Carlos Alberto Lopez Perez wrote:
> 
>> dget -x http://mentors.debian.net/debian/pool/main/a/aircrack-ng/aircrack-ng_1.1-2.dsc
> 
> Blockers for the upload:
> 
> The OpenSSL and GPL licenses are incompatible. A number of files do not
> have the OpenSSL exception to the GPL. This means that we cannot
> distribute any executables that link against OpenSSL and are also built
> from those files. You will need to check which executables link against
> OpenSSL, then check the license for all the associated source files
> looking for ones licensed under the GPL without the exception. Once you
> have done these checks, please document the results in debian/copyright.
> If there are any binaries that have an issue, please delete those from
> the package and ask upstream to fix the licenses.
>

Thanks for notifying this (my fault for not checked it in advance).

I have scanned all the source code and I found two files that are
linking with OpenSSL and are GPL licensed without an exception to allow
this.

I have just reported it to upstream and also contacted Thomas.

http://trac.aircrack-ng.org/ticket/953

> 
> Non-blockers that would be nice to have fixed:
> 
> You might want to adopt the machine-readable format for debian/copyright
> 
> http://dep.debian.net/deps/dep5/
> 

I will rewrite it with this format, thanks for the link ;)

> Please remove me from Uploaders, I only plan to sponsor you, not
> co-maintain the package.
> 

Then.. who should put in Uploaders? me? nobody?

> Please update to debhelper compat level 7 or higher.
> 
> You may also want switch from a completely manual debian/rules to dh.
> 
> debian/more-examples/README can be dropped from the source package since
> that is covered by the upstream README.
> 
> debian/README.source can be dropped since you are using dpkg-source v3.
> 
> There are quite a few complaints from lintian (see bottom of the mail).
> 
> Please add DEP-3 headers to all of the patches:
> 
> http://dep.debian.net/deps/dep3/
> 
> I note that airdrop-ng and airgraph-ng are not installed in the package.
> 
> Please forward the patches upstream that haven't been forwarded yet.
> 
> There are lots of compiler warnings, please notify upstream about those.
> 
> Please ask upstream what the status of the next release is.
> 
> As a longer-term project, please consider figuring out which of the
> injection patches are merged upstream, ask upstream to move those into
> old/, drop those from the Debian package and talk to upstream about
> merging the remainder into Linux mainline.
> 
> lintian:
> I: aircrack-ng source: quilt-patch-missing-description 002-Fix_airodump-ng_manpage.diff
> I: aircrack-ng source: quilt-patch-missing-description 004-fix-license-sha1-sse2.diff
> W: aircrack-ng source: debian-rules-missing-recommended-target build-arch
> W: aircrack-ng source: debian-rules-missing-recommended-target build-indep
> P: aircrack-ng: copyright-refers-to-symlink-license usr/share/common-licenses/GPL
> X: aircrack-ng: duplicate-files usr/share/doc/aircrack-ng/injection-patches/ieee80211_inject.patch usr/share/doc/aircrack-ng/injection-patches/old/ieee80211_inject.patch
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:40
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:46
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:47
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:50
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:53
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:55
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:60
> I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airbase-ng.1.gz surpresses suppresses
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:78
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:81
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz:85
> I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airbase-ng.1.gz replys replies
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airbase-ng.1.gz 7 more occurrences not shown
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/aircrack-ng.1.gz:116
> I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/aireplay-ng.1.gz allows to allows one to
> I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/airodump-ng.1.gz Allows to Allows one to
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:45
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:58
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/airodump-ng.1.gz:151
> I: aircrack-ng: spelling-error-in-manpage usr/share/man/man1/buddy-ng.1.gz runned ran
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:7
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:9
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:15
> I: aircrack-ng: hyphen-used-as-minus-sign usr/share/man/man1/ivstools.1.gz:17
> W: aircrack-ng: binary-without-manpage usr/sbin/airodump-ng-oui-update
> 

Thanks for the tips. I will look at this after the blocking license
issue is solved.


Regards!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Sun, 27 Nov 2011 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Sun, 27 Nov 2011 02:39:03 GMT) Full text and rfc822 format available.

Message #92 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sun, 27 Nov 2011 10:35:17 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2011-11-26 at 21:03 +0100, Carlos Alberto Lopez Perez wrote:

> Thanks for notifying this (my fault for not checked it in advance).
> 
> I have scanned all the source code and I found two files that are
> linking with OpenSSL and are GPL licensed without an exception to allow
> this.
> 
> I have just reported it to upstream and also contacted Thomas.
> 
> http://trac.aircrack-ng.org/ticket/953

I'm surprised there were only two such files. Indeed I would expect
src/sha1-sse2.S to also be one such file (it is part GPL, part public
domain), but you seem to have missed that.

> Then.. who should put in Uploaders? me? nobody?

Just delete the line unless there is someone else who wants to help
maintain the package.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sun, 27 Nov 2011 04:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Nov 2011 04:00:03 GMT) Full text and rfc822 format available.

Message #97 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sun, 27 Nov 2011 04:57:37 +0100
[Message part 1 (text/plain, inline)]
On 27/11/11 03:35, Paul Wise wrote:
> I'm surprised there were only two such files. Indeed I would expect
> src/sha1-sse2.S to also be one such file (it is part GPL, part public
> domain), but you seem to have missed that.

I was not sure about src/sha1-sse2.S since it contains only assembly
code and don't calls any function from libssl.

But later this file is linked with libssl to build the aicrack-ng binary....


So I would request this file to include also this exception.


Looking at all files that are linked with libssl in the build process I
have just found another file that link against OpenSSL and don't have
the OpenSSL exception for GPL

src/common.c

I would request this file also to include the exception.



Thanks!

Best Regards!

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Mon, 28 Nov 2011 05:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Mon, 28 Nov 2011 05:33:05 GMT) Full text and rfc822 format available.

Message #102 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Mon, 28 Nov 2011 13:29:04 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2011-11-27 at 04:57 +0100, Carlos Alberto Lopez Perez wrote:
> On 27/11/11 03:35, Paul Wise wrote:
> > I'm surprised there were only two such files. Indeed I would expect
> > src/sha1-sse2.S to also be one such file (it is part GPL, part public
> > domain), but you seem to have missed that.
> 
> I was not sure about src/sha1-sse2.S since it contains only assembly
> code and don't calls any function from libssl.

Anything that is either statically or dynamically linked into the same
binary is considered a derivative work and therefore needs to have
compatible licenses.

> I would request this file also to include the exception.

I see that upstream has already fixed this.

Is Thomas the same person as misterx ?

Also, I would like to move this outside of private email. Once you have
packaged the version with the OpenSSL exceptions, please do a public RFS
on debian-mentors (CC the bug) and upload to mentors.d.n as usual.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Sat, 03 Dec 2011 04:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Sat, 03 Dec 2011 04:57:07 GMT) Full text and rfc822 format available.

Message #107 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sat, 03 Dec 2011 12:52:09 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2011-11-26 at 11:45 +0800, Paul Wise wrote:

> Non-blockers that would be nice to have fixed: 

cppcheck finds quite a few issues:

[src/airdecloak-ng.c:1128]: (error) Memory leak: ivs_table
[src/airodump-ng.c:6353]: (error) Possible null pointer dereference: ap_cur - otherwise it is redundant to check if ap_cur is null at line 6355
[src/aircrack-ng.c:323]: (error) Possible null pointer dereference: ap_cur - otherwise it is redundant to check if ap_cur is null at line 325
[src/airtun-ng.c:677]: (error) Resource leak: f
[src/airbase-ng.c:1457]: (error) Resource leak: f
[src/kstats.c:328]: (error) Resource leak: f
[src/kstats.c:322]: (error) Memory leak: ivbuf
[src/ivstools.c:168]: (error) Resource leak: f_in
[src/ivstools.c:162]: (error) Resource leak: f_out
[src/ivstools.c:814]: (error) Resource leak: f_in
[src/aireplay-ng.c:1107]: (error) Resource leak: f_cap_out
[src/aireplay-ng.c:1162]: (error) Resource leak: f
[src/aircrack-ng.c:4392]: (error) Memory leak: key
[src/osdep/linux.c:956]: (error) Resource leak: fd2
[src/airodump-ng.c:401]: (error) Resource leak: fp
[src/osdep/linux.c:2074]: (error) Resource leak: apm
[src/uniqueiv.c:117]: (error) Memory leak: uiv_lvl2
[src/tkiptun-ng.c:1326]: (error) Resource leak: f_cap_out
[src/tkiptun-ng.c:1381]: (error) Resource leak: f
[src/sha1-sse2.h:72]: (error) Dangerous usage of 'essid' (strncpy doesn't always 0-terminate it)
[src/sha1-sse2.h:80]: (error) Dangerous usage of 'key1' (strncpy doesn't always 0-terminate it)

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sat, 03 Dec 2011 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 03 Dec 2011 17:57:03 GMT) Full text and rfc822 format available.

Message #112 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: Re: sponsorship for aircrack-ng
Date: Sat, 03 Dec 2011 18:54:03 +0100
[Message part 1 (text/plain, inline)]
On 03/12/11 05:52, Paul Wise wrote:
> Non-blockers that would be nice to have fixed: 

Reported upstream:

http://trac.aircrack-ng.org/ticket/956
http://trac.aircrack-ng.org/ticket/957

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Wed, 15 Feb 2012 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Wed, 15 Feb 2012 15:51:04 GMT) Full text and rfc822 format available.

Message #117 received at 642934@bugs.debian.org (full text, mbox):

From: David Francos <me@davidfrancos.net>
To: 642934@bugs.debian.org
Subject: Re: sponsorship for aircrack-ng
Date: Wed, 15 Feb 2012 16:47:17 +0100
Hi, I've taken bug http://trac.aircrack-ng.org/ticket/953 at aircrack-ng.
I've resolved almost all the license issues, except two files from
hirte, whom I'm having trouble to contact, and the file crctable.h <
http://trac.aircrack-ng.org/svn/trunk/src/crctable.h > whose author we
have not yet identified. I was wondering if, because of the content of
crctable.h, could be marked as uncopyrightable.

Well, also, say that those are the lastest files from this list that
Carlos Lopez reported on the trac:

#################      are not GPL licensed  ??     #################
src/airodump-ng.h
src/crypto.h
src/aircrack-ng.h
src/aircrack-ptw-lib.h
src/uniqueiv.h
src/common.h
src/pcap.h
src/crctable.h
src/osdep/osdep.h
src/osdep/common.h
src/version.h
src/osdep/packed.h

### are GPL licensed and **DON'T** include the OpenSSL Exception ###
src/crypto.c
src/include/ieee80211.h
src/sha1-sse2.h
src/osdep/byteorder.h

We're almost there, don't let this stop.
Also, I should say it, I'm making a package from the svn revision, and
it's much easier to package, and has much less lintian warnings (if
some), you can have a look at the source of the package at
http://github.com/XayOn/Aircrack-ngDebian/  I've written a simpler
(and I think better) rules file, installing also scripts and
"unstable" tools and updated the recommends to fit with them, also,
only one of the patches seemed necesary (the usrlocal one).




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Mon, 02 Apr 2012 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Apr 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #122 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: David Francos <me@davidfrancos.net>, 642934@bugs.debian.org
Subject: Re: Bug#642934: sponsorship for aircrack-ng
Date: Mon, 02 Apr 2012 17:52:53 +0200
[Message part 1 (text/plain, inline)]
On 15/02/12 16:47, David Francos wrote:
> Hi, I've taken bug http://trac.aircrack-ng.org/ticket/953 at aircrack-ng.
> I've resolved almost all the license issues, except two files from
> hirte, whom I'm having trouble to contact, and the file crctable.h <
> http://trac.aircrack-ng.org/svn/trunk/src/crctable.h > whose author we
> have not yet identified. I was wondering if, because of the content of
> crctable.h, could be marked as uncopyrightable.
> 
[...]
> 
> We're almost there, don't let this stop.

Yes, seems that this issue with the license is finally being resolved.
Thanks a lot for your work :)

> Also, I should say it, I'm making a package from the svn revision, and
> it's much easier to package, and has much less lintian warnings (if
> some), you can have a look at the source of the package at
> http://github.com/XayOn/Aircrack-ngDebian/  I've written a simpler
> (and I think better) rules file, installing also scripts and
> "unstable" tools and updated the recommends to fit with them, also,
> only one of the patches seemed necesary (the usrlocal one).
> 
> 
> 
I will take a look at it, thanks!

I don't know if there is any policy inside Debian about packaging
development branches of software, but I guess that most people would
agree that is better to only package stable releases.

So I wonder if once this issue with the license is completely addressed
could you make a minor release to be packaged in debian? perhaps
something like aircrack-ng-1.1.1 with this license issues fixed and some
other fixes/features that you feel to be stable/tested enough to be used
on production environments like, for example, the commits of r2008 and
r2010.

http://trac.aircrack-ng.org/changeset/2008
http://trac.aircrack-ng.org/changeset/2010


Thanks!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Tue, 24 Apr 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Tue, 24 Apr 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #127 received at 642934@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>, David Francos <me@davidfrancos.net>
Cc: 642934@bugs.debian.org
Subject: Re: Bug#642934: sponsorship for aircrack-ng
Date: Tue, 24 Apr 2012 20:25:46 +0200
Hi,

Carlos Alberto Lopez Perez wrote (02 Apr 2012 15:52:53 GMT) :
> On 15/02/12 16:47, David Francos wrote:

>> We're almost there, don't let this stop.

> Yes, seems that this issue with the license is finally being
> resolved. Thanks a lot for your work :)

Thanks a lot to everyone who made this happen! The Wheezy freeze is
planned for June, so I guess now is the right time to make sure all
this work converts to a nice aircrack-ng package being part of
Debian Wheezy :)

>> Also, I should say it, I'm making a package from the svn revision,
>> and it's much easier to package, and has much less lintian warnings
>> (if some), you can have a look at the source of the package at
>> http://github.com/XayOn/Aircrack-ngDebian/ I've written a simpler
>> (and I think better) rules file, installing also scripts and
>> "unstable" tools and updated the recommends to fit with them, also,
>> only one of the patches seemed necesary (the usrlocal one).
>> 
> I will take a look at it, thanks!

Any news from this? Is a packaging review needed?

> I don't know if there is any policy inside Debian about packaging
> development branches of software,

None that I know of.

> but I guess that most people would agree that is better to only
> package stable releases.

I guess most people would agree that it is *generally* better to
package stable releases, but there are exceptions, and the maintainer
is most of the time the best person to make the final decision call,
based on their knowledge of upstream code, release timeline and
processes. If SVN revision N or M is better for Debian users than the
previous stable version, I would personally welcome a package built
from this SVN revision into the Debian archive.

> So I wonder if once this issue with the license is completely
> addressed could you make a minor release to be packaged in debian?
> perhaps something like aircrack-ng-1.1.1 with this license issues
> fixed and some other fixes/features that you feel to be
> stable/tested enough to be used on production environments like, for
> example, the commits of r2008 and r2010.

This would be great. David, what do you think?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Tue, 01 May 2012 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 May 2012 05:12:03 GMT) Full text and rfc822 format available.

Message #132 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
Cc: 642934 <642934@bugs.debian.org>
Subject: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Tue, 01 May 2012 07:07:45 +0200
[Message part 1 (text/plain, inline)]
Hello,


Since the issue with the OpenSSL license seems to have reached a
dead-end because the crc_chop_tbl table is copyrighted as GPL and the
author is impossible to contact [1]...


I have translated the OpenSSL functions used on Aircrack-ng to the
GnuTLS counterparts.


I did this using macro definitions. Therefore there was not needed any
change on the actual code of Aircrack-ng apart from a few lines to
include the wrapper header and also to make GnuTLS thread-safe on
aircrack-ng, airodump-ng and airbase-ng.


I am attaching here the patch (is on top of r2153)


I hope you will find it OK to be included on Aircrack-ng.


All tests that I did were successful. However further tests should be done.


Anyway, if you accept the patch, this will be the default on Debian
(Aircrack-ng built with GnuTLS), so I guess that Debian users will take
care of testing this in deep.


About speed, for example, breaking a WPA key, with OpenSSL I get ~ 2700
k/s and with GnuTLS ~ 2400 k/s. So, seems that OpenSSL performs better
than GnuTLS, but don't seems to be a big deal (+12%).


Best regards!
-------------

[1] http://trac.aircrack-ng.org/ticket/953

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[0001-Add-support-for-GnuTLS.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Tue, 01 May 2012 11:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Baudis <pasky@ucw.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Tue, 01 May 2012 11:51:15 GMT) Full text and rfc822 format available.

Message #137 received at 642934@bugs.debian.org (full text, mbox):

From: Petr Baudis <pasky@ucw.cz>
To: David Francos <me@davidfrancos.net>
Cc: 642934@bugs.debian.org
Subject: Re: sponsorship for aircrack-ng
Date: Tue, 1 May 2012 13:41:21 +0200
  Hi!

On Wed, Feb 15, 2012 at 04:47:17PM +0100, David Francos wrote:
> Also, I should say it, I'm making a package from the svn revision, and
> it's much easier to package, and has much less lintian warnings (if
> some), you can have a look at the source of the package at
> http://github.com/XayOn/Aircrack-ngDebian/  I've written a simpler
> (and I think better) rules file, installing also scripts and
> "unstable" tools and updated the recommends to fit with them, also,
> only one of the patches seemed necesary (the usrlocal one).

  I tested this package but it does not work for me. It seems that
you are using

	$(MAKE) install DESTDIR=/root/aircrack-ng-1.1/debian/aircrack-ng

which seems very wrong. :-) Most likely, you want to use $$(pwd).

				Petr "Pasky" Baudis




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Tue, 01 May 2012 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Francos <me@davidfrancos.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Tue, 01 May 2012 12:42:07 GMT) Full text and rfc822 format available.

Message #142 received at 642934@bugs.debian.org (full text, mbox):

From: David Francos <me@davidfrancos.net>
To: Petr Baudis <pasky@ucw.cz>
Cc: 642934@bugs.debian.org
Subject: Re: sponsorship for aircrack-ng
Date: Tue, 1 May 2012 14:15:15 +0200
2012/5/1 Petr Baudis <pasky@ucw.cz>:
>  Hi!
>
> On Wed, Feb 15, 2012 at 04:47:17PM +0100, David Francos wrote:
>> Also, I should say it, I'm making a package from the svn revision, and
>> it's much easier to package, and has much less lintian warnings (if
>> some), you can have a look at the source of the package at
>> http://github.com/XayOn/Aircrack-ngDebian/  I've written a simpler
>> (and I think better) rules file, installing also scripts and
>> "unstable" tools and updated the recommends to fit with them, also,
>> only one of the patches seemed necesary (the usrlocal one).
>
>  I tested this package but it does not work for me. It seems that
> you are using
>
>        $(MAKE) install DESTDIR=/root/aircrack-ng-1.1/debian/aircrack-ng
>
> which seems very wrong. :-) Most likely, you want to use $$(pwd).
>
>                                Petr "Pasky" Baudis

Thank you, I'll fix this as soon as possible, I've been forced to
leave all this behind for a while, hope to be able to catch with it
soon.

About the licensing, there seems to be still an issue, hope it gets
resolved soon enough.

I've to build a new package for my repo too...




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Fri, 08 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Fri, 08 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #147 received at 642934@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934@bugs.debian.org, Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
Subject: Re: Bug#642934: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Fri, 08 Jun 2012 03:43:19 +0200
Hi,

Carlos Alberto Lopez Perez wrote (01 May 2012 05:07:45 GMT) :
> I have translated the OpenSSL functions used on Aircrack-ng to the
> GnuTLS counterparts.
[...]
> I am attaching here the patch (is on top of r2153)

Did anything happen on this front since then?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Fri, 08 Jun 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Fri, 08 Jun 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #152 received at 642934@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: David Francos <me@davidfrancos.net>, Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934@bugs.debian.org, Petr Baudis <pasky@ucw.cz>
Subject: Re: Bug#642934: sponsorship for aircrack-ng
Date: Fri, 08 Jun 2012 03:50:34 +0200
Hi,

David Francos wrote (01 May 2012 12:15:15 GMT) :
> Thank you, I'll fix this as soon as possible, I've been forced to
> leave all this behind for a while, hope to be able to catch with
> it soon.

Any chance you, or Carlos (who still owns the ITP bug) or anyone else
fixes this in time for the Wheezy freeze?

> About the licensing, there seems to be still an issue, hope it gets
> resolved soon enough.

To clarify, is this issue the one with the OpenSSL that Carlos raised
in message #132? Given there's a patch that was apparently well
tested, perhaps the patch could be applied to the Debian package, and
this should not be blocking the upload to Debian? (Perhaps I missed
something, merely trying to see what's *really* blocking on
this front.)

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Fri, 08 Jun 2012 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas d'Otreppe <tdotreppe@aircrack-ng.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Fri, 08 Jun 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #157 received at 642934@bugs.debian.org (full text, mbox):

From: Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
To: intrigeri <intrigeri@debian.org>
Cc: Carlos Alberto Lopez Perez <clopez@igalia.com>, 642934@bugs.debian.org
Subject: Re: Bug#642934: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Fri, 08 Jun 2012 15:43:28 +0200
Hi,

Not yet as I'm solving another problem:  
http://aircrack-ng.blogspot.com/2012/05/forum-virus-details.html

I just need to test it but it looks good so I don't think it will need  
any modifications. As soon as trac/svn is up, I'll take care of this.

Best regards,

Thomas


intrigeri <intrigeri@debian.org>> wrote :

> Hi,
>
> Carlos Alberto Lopez Perez wrote (01 May 2012 05:07:45 GMT) :
>> I have translated the OpenSSL functions used on Aircrack-ng to the
>> GnuTLS counterparts.
> [...]
>> I am attaching here the patch (is on top of r2153)
>
> Did anything happen on this front since then?
>
> Cheers,
> --
>   intrigeri
>   | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
>   | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
>






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Fri, 08 Jun 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Fri, 08 Jun 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #162 received at 642934@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
Cc: Carlos Alberto Lopez Perez <clopez@igalia.com>, 642934@bugs.debian.org
Subject: Re: Bug#642934: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Fri, 08 Jun 2012 18:35:18 +0200
Hi,

Thomas d'Otreppe wrote (08 Jun 2012 13:43:28 GMT) :
> Not yet as I'm solving another problem:
> http://aircrack-ng.blogspot.com/2012/05/forum-virus-details.html

Good luck with that!

> I just need to test it but it looks good so I don't think it will
> need any modifications. As soon as trac/svn is up, I'll take care
> of this.

Thanks for answering. Any kind of ETA?

(Debian Wheezy should be frozen in the second part of June, so I'm
trying to see what's blocking the inclusion of aircrack-ng in there.
It'd be very sad to see Wheezy released without aircrack-ng, after
all the awesome work that was put in it by you and others.)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sun, 10 Jun 2012 22:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 10 Jun 2012 22:51:15 GMT) Full text and rfc822 format available.

Message #167 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: intrigeri <intrigeri@debian.org>, 642934@bugs.debian.org
Cc: Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
Subject: Re: Bug#642934: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Mon, 11 Jun 2012 00:48:00 +0200
[Message part 1 (text/plain, inline)]
On 08/06/12 18:35, intrigeri wrote:
> Hi,
> 
> Thomas d'Otreppe wrote (08 Jun 2012 13:43:28 GMT) :
>> Not yet as I'm solving another problem:
>> http://aircrack-ng.blogspot.com/2012/05/forum-virus-details.html
> 
> Good luck with that!
> 
>> I just need to test it but it looks good so I don't think it will
>> need any modifications. As soon as trac/svn is up, I'll take care
>> of this.
> 
> Thanks for answering. Any kind of ETA?
> 
> (Debian Wheezy should be frozen in the second part of June, so I'm
> trying to see what's blocking the inclusion of aircrack-ng in there.
> It'd be very sad to see Wheezy released without aircrack-ng, after
> all the awesome work that was put in it by you and others.)
> 
> 
> 

After a quick chat with Thomas on the IRC, he told me he is fine with
Debian including this GnuTLS patch for aircrack-ng.

So I have backported it to aircrack-ng 1.1 and I have the debian package
of aircrack-ng 1.1 with the GnuTLS patch as also a few other patches
that I cherry-picked from the development branch almost ready.

I will be publishing the package to debian mentors this week (ASAP). I
will need a sponsor for the package.

Thanks! Best regards!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Mon, 11 Jun 2012 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Mon, 11 Jun 2012 02:21:03 GMT) Full text and rfc822 format available.

Message #172 received at 642934@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934@bugs.debian.org, Thomas d'Otreppe <tdotreppe@aircrack-ng.org>
Subject: Re: Bug#642934: [PATCH] Add GnuTLS support to Aircrack-ng
Date: Mon, 11 Jun 2012 04:16:33 +0200
Carlos Alberto Lopez Perez wrote (10 Jun 2012 22:48:00 GMT) :
> After a quick chat with Thomas on the IRC, he told me he is fine with
> Debian including this GnuTLS patch for aircrack-ng.

this is good news.

> I will be publishing the package to debian mentors this week (ASAP). I
> will need a sponsor for the package.

please keep me in the loop.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Sun, 17 Jun 2012 06:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 17 Jun 2012 06:12:02 GMT) Full text and rfc822 format available.

Message #177 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 642934 <642934@bugs.debian.org>
Cc: Paul Wise <pabs@debian.org>, intrigeri <intrigeri@debian.org>
Subject: Sponsorship for aircrack-ng
Date: Sun, 17 Jun 2012 08:08:52 +0200
[Message part 1 (text/plain, inline)]
Hello,

I have just packaged and updated a new version of aircrack-ng.

I have completely reworked the package. I switched to dh for
debian/rules and also switched debian/copyright to machine-readable format.

I backported the GnuTLS patch to aircrack-ng 1.1 and also I
cherry-picked a few other patches from upstream that fixed some issues
with the current codebase.

Among the issues fixed, there are included all the Debian bugs with
priority greater than Normal that were open against the last version of
aircrack-ng on Debian.

I have also enabled the hardening-flags.

About the injection patches: I simply removed them from the package.
Airdriver-ng downloads this patches from Internet, so this files never
were an useful thing to have inside the package.

About the airdrop-ng and airgraph-ng scripts:
* Airdrop-ng depends on Pylorcon libraries that are not packaged on Debian.
* Airgraph-ng seems to be still an early work-in-progress not ready for
general use. (Ex: it overwrites the input file when the "-o" (output)
parameter is not specified)

So I am excluding this files from the package for the moment.

I have uploaded the new package to mentors.debian.net

http://mentors.debian.net/package/aircrack-ng

The package is signed with my key that you can import with:

  gpg --keyserver pgp.mit.edu --recv-keys 965089CE6B95F882

If all looks ok, then I will need somebody to sponsor this package. Just
hoping this is still on time to be included on Wheezy.

Once it enters into Debian again, I would re-open the bugs that were
automatically closed when the package was removed and that are not fixed
by this upload.


Wishing to hear any comments.


Thanks!


Best regards!
-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Mon, 18 Jun 2012 05:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Mon, 18 Jun 2012 05:30:03 GMT) Full text and rfc822 format available.

Message #182 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>, intrigeri <intrigeri@debian.org>
Subject: Re: Sponsorship for aircrack-ng
Date: Mon, 18 Jun 2012 13:26:53 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2012-06-17 at 08:08 +0200, Carlos Alberto Lopez Perez wrote:

> Wishing to hear any comments.

Oh, one more thing, how about a README.Debian explaining the situation
with OpenSSL and how to rebuild the package with OpenSSL instead, for
those users who want the extra speed?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 18 Jun 2012 08:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Mon, 18 Jun 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Jun 2012 11:09:08 GMT) Full text and rfc822 format available.

Message #189 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>
Cc: 642934 <642934@bugs.debian.org>, intrigeri <intrigeri@debian.org>
Subject: Re: Sponsorship for aircrack-ng
Date: Mon, 18 Jun 2012 13:04:21 +0200
[Message part 1 (text/plain, inline)]
On 18/06/12 07:26, Paul Wise wrote:
> On Sun, 2012-06-17 at 08:08 +0200, Carlos Alberto Lopez Perez wrote:
> 
>> Wishing to hear any comments.
> 
> Oh, one more thing, how about a README.Debian explaining the situation
> with OpenSSL and how to rebuild the package with OpenSSL instead, for
> those users who want the extra speed?
> 

I have just re-introduced the README.Debian from the old package and
added a new entry summarizing the changes introduced as also commenting
how to rebuild the package with OpenSSL.

I have re-uploaded it to mentors.debian.net

Regards!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>:
Bug#642934; Package wnpp. (Mon, 18 Jun 2012 12:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Carlos Alberto Lopez Perez <clopez@igalia.com>. (Mon, 18 Jun 2012 12:48:25 GMT) Full text and rfc822 format available.

Message #194 received at 642934@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Carlos Alberto Lopez Perez <clopez@igalia.com>
Cc: 642934 <642934@bugs.debian.org>, intrigeri <intrigeri@debian.org>
Subject: Re: Sponsorship for aircrack-ng
Date: Mon, 18 Jun 2012 20:45:34 +0800
[Message part 1 (text/plain, inline)]
On Mon, 2012-06-18 at 13:04 +0200, Carlos Alberto Lopez Perez wrote:

> I have re-uploaded it to mentors.debian.net 

Please make it -3 since -2 is already in NEW.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Mon, 18 Jun 2012 13:24:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Jun 2012 13:24:38 GMT) Full text and rfc822 format available.

Message #199 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: Paul Wise <pabs@debian.org>, 642934@bugs.debian.org
Cc: intrigeri <intrigeri@debian.org>
Subject: Re: Bug#642934: Sponsorship for aircrack-ng
Date: Mon, 18 Jun 2012 15:21:34 +0200
[Message part 1 (text/plain, inline)]
On 18/06/12 14:45, Paul Wise wrote:
> On Mon, 2012-06-18 at 13:04 +0200, Carlos Alberto Lopez Perez wrote:
> 
>> I have re-uploaded it to mentors.debian.net 
> 
> Please make it -3 since -2 is already in NEW.
> 

Done... made a new changelog entry (-3) and re-uploaded to mentors

Looks ok now?

Thanks!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642934; Package wnpp. (Thu, 21 Jun 2012 11:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Jun 2012 11:51:21 GMT) Full text and rfc822 format available.

Message #204 received at 642934@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: erik.adler@mensa.se
Cc: Erik Adler <erik.adler@gmail.com>, 642934 <642934@bugs.debian.org>
Subject: Re: Aircrack-ng
Date: Thu, 21 Jun 2012 13:49:06 +0200
[Message part 1 (text/plain, inline)]
On 20/06/12 23:01, Erik Adler wrote:
> Hi Carlos,
> 
> Really happy to see somebody picked the Aircrack-ng suit up. Letting
> it die would have been a shame. I installed 1:1.1-3 on Debian GNU/Linux
> 
> http://mentors.debian.net/debian/pool/main/a/aircrack-ng/aircrack-ng_1.1-3.dsc
> and tried it out for a while
> 
> testing and played with it for a while. The only problem I found was
> Airdriver-ng cannot compile/install drivers, when trying to install
> new ones. I get a depmod -ae  WARNING: -e needs -E or -F. The
> instillation of divers then fails.
> 

This is only a harmless warning.

You have to look at the file "/var/log/airdriver" for the log of what
went wrong.


> Are you still looking for a sponsor? If so I know someone who _might_
> be able to help.
> 

Paul has sponsored the package. It is on the NEW queue [1] waiting for
the ftp-masters approval.

> Thanks again for picking project up.
> All the best
> 
> 
> Erik Adler
> 
> gpg key ID 0x2B4B58FE
> 


About the airdriver-ng patches I think that the >90% of this patches are
not necessary anymore if you are running a modern kernel (>=3.2). This
patches are dated from [2006-2010] [2] and I don't think they will apply
on any kernel greater than 2.6.2X


What kind of wireless card do you have? What kernel are you running?


Have you tried to inject without patching your kernel? I suggest you to
try to put your wireless card in monitor mode with airmon-ng without
patching the driver. For me works out of the box.


Once upstream fixes their problem with the tracker I should talk with
them about this patches because I feel that the great majority of this
patches either were merged upstream long ago or need to be refreshed to
apply on a modern kernel.



Regards!
--------
[1] http://ftp-master.debian.org/new.html
[2] http://patches.aircrack-ng.org/

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carlos Alberto Lopez Perez                           http://neutrino.es
Igalia - Free Software Engineering                http://www.igalia.com
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
You have taken responsibility. (Wed, 27 Jun 2012 17:03:09 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 17:03:09 GMT) Full text and rfc822 format available.

Message #209 received at 642934-close@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: 642934-close@bugs.debian.org
Subject: Bug#642934: fixed in aircrack-ng 1:1.1-2
Date: Wed, 27 Jun 2012 17:02:09 +0000
Source: aircrack-ng
Source-Version: 1:1.1-2

We believe that the bug you reported is fixed in the latest version of
aircrack-ng, which is due to be installed in the Debian FTP archive:

aircrack-ng_1.1-2.debian.tar.gz
  to main/a/aircrack-ng/aircrack-ng_1.1-2.debian.tar.gz
aircrack-ng_1.1-2.dsc
  to main/a/aircrack-ng/aircrack-ng_1.1-2.dsc
aircrack-ng_1.1-2_amd64.deb
  to main/a/aircrack-ng/aircrack-ng_1.1-2_amd64.deb
aircrack-ng_1.1.orig.tar.gz
  to main/a/aircrack-ng/aircrack-ng_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642934@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Carlos Alberto Lopez Perez <clopez@igalia.com> (supplier of updated aircrack-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 18 Jun 2012 13:17:36 WST
Source: aircrack-ng
Binary: aircrack-ng
Architecture: source amd64
Version: 1:1.1-2
Distribution: unstable
Urgency: low
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Changed-By: Carlos Alberto Lopez Perez <clopez@igalia.com>
Description: 
 aircrack-ng - wireless WEP/WPA cracking utilities
Closes: 588588 600753 610688 642698 642934
Changes: 
 aircrack-ng (1:1.1-2) unstable; urgency=low
 .
   * New mantainer.
   * Re-upload to unstable (Closes: #642934)
   * Rework debian/*
     Switch debian/rules to dh.
     Switch debian/copyright to machine-readable.
     Add DEP-3 headers to debian/patches/*
   * Remove injection patches from package files. airdriver-ng downloads
     this patches from Internet, so is not needed at all to have
     this files on the package.
   * Include initial pre-downloaded file airodump-ng-oui.txt on package.
   * Add hardening flags.
   * Compile with sqlite support (Closes: #610688) (Closes: #600753)
   * Add 004-fix-license-issues.diff (cherry-pick from svn).
     Fixes copyright issues with src/sha1-sse2.* (Closes: #588588)
   * Add 005-fix-issues-cppcheck-r2008.patch (cherry-pick from svn).
     Fix issues on the code found by cppcheck.
   * Add 006-fix-ftbfs-and-man-path.patch (cherry-pick from svn).
     Fix FTBFS with gcc>=4.6 and fix manpage path.
   * Add 007-Add-support-for-GnuTLS.patch
     Add support for GnuTLS and link against GnuTLS.
     Fix issues with GPL and OpenSSL licenses.
   * Add 008-fix_path_airodump-ng-oui.patch.
     Fix paths to file airodump-ng-oui.txt on airodump-ng and script
     airodump-ng-oui-update.
   * Add 009-airodump-ng-oui-update-manpage.patch (cherry-pick from svn).
     Include manpage for script airodump-ng-oui-update.
   * Add 010-add-freebsd-support.patch
     Add support for GNU/kFreeBSD (Closes: #642698)
   * Update Standards-Version to 3.9.2
Checksums-Sha256: 
 c9d9bbbb633328b1dd4b9141d65632d5639b5df8cb4b5904ebaf6344175eddb2 1867 aircrack-ng_1.1-2.dsc
 08eaa2a7ccc3926f54e0efa8f0928a39a06c98498efe67dba8be91a2c883177c 208912 aircrack-ng_1.1-2.debian.tar.gz
 407fd8c86dfef0a75c2fefc8b179037e5762131b391f332c6dcccb46b1b6c4c5 823194 aircrack-ng_1.1-2_amd64.deb
 b136b549b7d2a2751c21793100075ea43b28de9af4c1969508bb95bcc92224ad 1453272 aircrack-ng_1.1.orig.tar.gz
Checksums-Sha1: 
 63909fc131c19882d2a647ba446da517b911268d 1867 aircrack-ng_1.1-2.dsc
 67c6f0201370cd750c3d89a4502426d1e76c07e0 208912 aircrack-ng_1.1-2.debian.tar.gz
 254cd135e1621fc0034ffe6e795473f3f6caf511 823194 aircrack-ng_1.1-2_amd64.deb
 16eed1a8cf06eb8274ae382150b56589b23adf77 1453272 aircrack-ng_1.1.orig.tar.gz
Files: 
 df871c5136a879ea1ae6f2aef238121f 1867 net optional aircrack-ng_1.1-2.dsc
 928c26cd910a1b1ae235f3f3a599cdec 208912 net optional aircrack-ng_1.1-2.debian.tar.gz
 e909b7628b031d028b4c00cf6e66b567 823194 net optional aircrack-ng_1.1-2_amd64.deb
 f7a24ed8fad122c4187d06bfd6f998b4 1453272 net optional aircrack-ng_1.1.orig.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP3roJAAoJEDEWul6f+mmj9t0QALK7sM+7ZjOLKNNqHLVpt2bw
HiCPl1Ch8CVBKKTcZ2XfPc07Uw5KmH60pAkcs6F8JDMOWDgs0y9sOyYsesZDREns
wUEE4Zc67N/Ofh0doAcSnvPugOm+AZsyM1Wl0F4dx8GAcbHiTzFULrw7qDCfX26e
DsRwPmxDCzhAB7x4fANe9ZBMKlc3TJnFxs/DB7AUX1Rz2nC367R3aiq0DUsBeO91
SjOdx3a+LF7T90aV7+k+ghCNzPiude4M94eY9H2ICXl9BbgEXRlv08B1v40Gl25m
0IklvVmt4oL5SqGdlco99aLGnnvaLn6vJax+7eBIeIYNajXd2WjNezS69G0HsbSs
TUXQ5Sc96WYRBSV5CWR+RhuxxcGBz59PuTmcGU26rm3AROaxiJf4OViChRPy0SCs
hZT17zHvZIv5NDIo7DRsG9VeLbUJtKJCZtSK0msJ2431f0y0i6bC3+wQ8cFjWE+w
ZVtkNaQlAnHHlhWhStyodTStRKa4nwL2mkIunb0MEV18rWDodQM8dhB7pIR/z3BN
XYXzIvyasc6MUH5vJf4CbsS56lcRkIOqsql+nyl1+hcEyPeuyvp+G6rjrGt3gwlp
DrR27Q9TnviHkN0mrKVIGF3DN9f7TwEXgfdWtZFd+6819BrZruCP8NcWWCFD/0ex
MeBmKBP/AP7zrOuG1TOl
=VGS2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:43:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.